Bug 109315 - [CI] igt@amdgpu/* / igt@v3d_* - skip - incompatible chipset
Summary: [CI] igt@amdgpu/* / igt@v3d_* - skip - incompatible chipset
Status: CLOSED NOTABUG
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 14:59 UTC by Martin Peres
Modified: 2019-02-01 08:59 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-11 14:59:53 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu_amd_basic@cs-sdma.html

Test requirement: fd >= 0
Last errno: 2, No such file or directory


https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu_amd_prime@i915-to-amd.html

Test requirement: err == 0
Last errno: 9, Bad file descriptor
Subtest i915-to-amd: SKIP

Can we please make these error message a little more greppable? I would like a message like this: No AMD-supported GPUs found.
Comment 1 CI Bug Log 2019-01-11 15:00:21 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@amdgpu/amd_basic@* - skip - Test requirement: fd >= 0, Last errno: 2, No such file or directory
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
* ICL: igt@amdgpu/amd_prime@* - skip - Test requirement: err == 0 Last errno: 9, Bad file descriptor
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u2/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2221/fi-icl-u3/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u2/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4762/fi-icl-u3/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u2/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4763/fi-icl-u3/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u2/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2212/fi-icl-u3/igt@amdgpu/amd_prime@amd-to-i915.html
Comment 2 Chris Wilson 2019-01-14 11:11:47 UTC
commit c3aef507e1dfe1e483787d501e9907dab67f6bca (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Jan 11 16:19:29 2019 +0000

    amd: Use drm_open_driver(AMDGPU)
    
    Just use the normal library function, with the normal warning message
    for an unmatched GPU so that CI buglog can filter it.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=109315
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Martin Peres <martin.peres@free.fr>
    Reviewed-by: Petri Latvala <petri.latvala@intel.com>

Which at least reduces it to a common problem.
Comment 3 CI Bug Log 2019-01-14 12:26:25 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: all tests - skip - No known gpu found for chipset flags 0x16 (amdgpu)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u2/igt@amdgpu/amd_prime@amd-to-i915.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@query-info.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@memory-alloc.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@userptr.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@cs-gfx.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@cs-compute.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@cs-multi-fence.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@cs-sdma.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_basic@semaphore.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@nop-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_prime@i915-to-amd.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5415/fi-icl-u3/igt@amdgpu/amd_prime@amd-to-i915.html
Comment 4 CI Bug Log 2019-01-14 12:28:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: all tests - skip - No known gpu found for chipset flags 0x16 (amdgpu) -}
{+ ICL: all tests - skip - No known gpu found for chipset flags 0x(16|32) +}

 No new failures caught with the new filter
Comment 5 Martin Peres 2019-01-14 12:31:54 UTC
(In reply to Chris Wilson from comment #2)
> commit c3aef507e1dfe1e483787d501e9907dab67f6bca (HEAD, upstream/master)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Fri Jan 11 16:19:29 2019 +0000
> 
>     amd: Use drm_open_driver(AMDGPU)
>     
>     Just use the normal library function, with the normal warning message
>     for an unmatched GPU so that CI buglog can filter it.
>     
>     References: https://bugs.freedesktop.org/show_bug.cgi?id=109315
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Martin Peres <martin.peres@free.fr>
>     Reviewed-by: Petri Latvala <petri.latvala@intel.com>
> 
> Which at least reduces it to a common problem.

Thanks Chris! Moving the bug back to drm/Intel now and making it a generic one for incompatible chipset :)
Comment 6 CI Bug Log 2019-02-01 08:59:12 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: all tests - skip - No known gpu found for chipset flags 0x(16|32) -}
{+ ICL: all tests - skip - No known gpu found for chipset flags 0x(16|32) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@query-info.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@memory-alloc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@userptr.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@cs-gfx.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@cs-compute.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@cs-multi-fence.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@cs-sdma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_basic@semaphore.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_prime@i915-to-amd.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5519/fi-icl-y/igt@amdgpu/amd_prime@amd-to-i915.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@query-info.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@memory-alloc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@userptr.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@cs-gfx.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@cs-compute.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@cs-multi-fence.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@cs-sdma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_basic@semaphore.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_prime@i915-to-amd.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5520/fi-icl-y/igt@amdgpu/amd_prime@amd-to-i915.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@query-info.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@memory-alloc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@userptr.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@cs-gfx.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@cs-compute.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@cs-multi-fence.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@cs-sdma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_basic@semaphore.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_prime@i915-to-amd.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5521/fi-icl-y/igt@amdgpu/amd_prime@amd-to-i915.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@query-info.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@memory-alloc.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@userptr.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@cs-gfx.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@cs-compute.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@cs-multi-fence.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@cs-sdma.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_basic@semaphore.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@nop-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-compute0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_cs_nop@sync-fork-gfx0.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_prime@i915-to-amd.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5522/fi-icl-y/igt@amdgpu/amd_prime@amd-to-i915.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.